# eos_lacp – Manage Global Link Aggregation Control Protocol (LACP) on Arista EOS devices

New in version 2.9.

- Synopsis

- Parameters

- Notes

- Examples

- Return Values

- Status

## Synopsis

- This module manages Global Link Aggregation Control Protocol (LACP) on Arista EOS devices.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
config dictionary |  | LACP global options.
| system dictionary |  | LACP system options.
|  | priority integer |  | The system priority to use in LACP negotiations. Lower value is higher priority. Refer to vendor documentation for valid values.

state
string

Choices:
- merged ←
- replaced
- deleted

The state of the configuration after module completion.

## Notes

Note

- Tested against Arista EOS 4.20.10M

- This module works with connection `network_cli`. See the EOS Platform Options.

## Examples

    # Using merged

    # Before state:
    # -------------
    # veos# show running-config | include lacp
    # lacp system-priority 10

    - name: Merge provided global LACP attributes with device attributes
      eos_lacp:
        config:
          system:
            priority: 20
        state: merged

    # After state:
    # ------------
    # veos# show running-config | include lacp
    # lacp system-priority 20
    #

    # Using replaced

    # Before state:
    # -------------
    # veos# show running-config | include lacp
    # lacp system-priority 10

    - name: Replace device global LACP attributes with provided attributes
      eos_lacp:
        config:
          system:
            priority: 20
        state: replaced

    # After state:
    # ------------
    # veos# show running-config | include lacp
    # lacp system-priority 20
    #

    # Using deleted

    # Before state:
    # -------------
    # veos# show running-config | include lacp
    # lacp system-priority 10

    - name: Delete global LACP attributes
      eos_lacp:
        state: deleted

    # After state:
    # ------------
    # veos# show running-config | include lacp
    #

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
after dictionary | when changed | The configuration as structured data after module completion. Sample: The configuration returned will always be in the same format of the parameters above.
before dictionary | always | The configuration as structured data prior to module invocation. Sample: The configuration returned will always be in the same format of the parameters above.
commands list | always | The set of commands pushed to the remote device. Sample: ['lacp system-priority 10']

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]

- This module is maintained by the Ansible Network Team. [network]

### Red Hat Support

More information about Red Hat’s support of this module is available from this Red Hat Knowledge Base article.

### Authors

- Nathaniel Case (@Qalthos)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.